# Generated from studio_api-3.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name studio_api

Name: rubygem-%{gem_name}
Version: 3.2.2
Release: 1%{?dist}
Summary: Intuitive ruby bindings to Studio Api Interface
License: GPLv2 and The Ruby License
URL: http://github.com/jreidinger/studio_api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.6
BuildRequires: ruby
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Studio Api makes it easier to use SuSE Studio (http://susestudio.com) via API.
Instead of adapting each ActiveResource to its behavior and
manually adding multipart file upload it wrapp in in Active
Resource like interface. It is possible to define credentials
for whole api, or use it per partes, so it allow using it for
different studio users together.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/rubygem-studio_api.changes
%{gem_instdir}/rubygem-studio_api.spec.template
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 3.2.2-1
- Initial package
